templates:
# Connector types
  - &molex
    manufacturer: '<a href="https://www.molex.com/">Molex</a>'

  - &molex_picoblade_51021-1000
    type: Picoblade
    subtype: female, 10 Circuits
    <<: *molex
    mpn: '<a href="https://www.molex.com/en-us/products/part-detail/510211000">51021-1000</a>'
    additional_components:
      -
        type: Crimp
        subtype: Molex PicoBlade Female Crimp Terminal, Gold (Au) Plating, 28-32 AWG
        qty_multiplier: populated
        <<: *molex
        mpn: '<a href="https://www.molex.com/en-us/products/part-detail/500588020">500588020</a>'

# Cable templates
  - &alphawire
    manufacturer: '<a href="https://www.alphawire.com/">AlphaWire</a>'
  - &awg-28-cable_signal
    category: bundle
    gauge: 28 AWG
    <<: *alphawire # manufacturer name
    # manufacturer part number
    mpn: <a href="https://www.alphawire.com/products/wire/hook-up-wire/premium/5852">5852</a>

# System connector templates
  - &mcu_jtag
    pinlabels: [3V3, NJRST, NRST, JTDI, GND, JTDO-SWO, GND, TMS-SWDIO, GND, JTCK-SWCLK]
  - &fpga_jtag
    pinlabels: [3V3, PS_POR_B, GND, TDI, GND, TDO, GND, TMS, GND, TCK]

connectors:
# UMBILICAL
    Umbilical J3:
        <<: *molex_picoblade_51021-1000
        <<: *mcu_jtag
        pins: [10,9,8,7,6,5,4,3,2,1]
    Umbilical J4:
        <<: *molex_picoblade_51021-1000
        <<: *fpga_jtag
        pins: [10,9,8,7,6,5,4,3,2,1]
    Umbilical J5:
        <<: *molex_picoblade_51021-1000
        <<: *mcu_jtag
        pins: [10,9,8,7,6,5,4,3,2,1]
    Umbilical J6:
        <<: *molex_picoblade_51021-1000
        <<: *fpga_jtag
        pins: [10,9,8,7,6,5,4,3,2,1]

# PAYLOAD
    PAYLOAD FPGA_JTAG:
        <<: *molex_picoblade_51021-1000
        <<: *fpga_jtag
    PAYLOAD MCU_JTAG:
        <<: *molex_picoblade_51021-1000
        <<: *mcu_jtag

# COMMS
    COMMS FPGA_JTAG:
        <<: *molex_picoblade_51021-1000
        <<: *fpga_jtag
    COMMS MCU_JTAG:
        <<: *molex_picoblade_51021-1000
        <<: *mcu_jtag

cables:
    W24:
        <<: *awg-28-cable_signal
        colors: [BK]
        wirecount: 10
        length: 11 cm
        notes: Flat lacing
    W23:
        <<: *awg-28-cable_signal
        colors: [BK]
        wirecount: 10
        length: 10.5 cm
        notes: Flat lacing
    W22:
        <<: *awg-28-cable_signal
        colors: [BK]
        wirecount: 10
        length: 7.5 cm
        notes: Flat lacing
    W21:
        <<: *awg-28-cable_signal
        colors: [BK]
        wirecount: 10
        length: 9.5 cm
        notes: Flat lacing
connections:
  -
    - PAYLOAD FPGA_JTAG: [1-10]
    - W24: [1-10]
    - Umbilical J6: [10-1]
  -
    - PAYLOAD MCU_JTAG: [1-10]
    - W23: [1-10]
    - Umbilical J5: [10-1]
  -
    - COMMS FPGA_JTAG: [1-10]
    - W22: [1-10]
    - Umbilical J4: [10-1]
  -
    - COMMS MCU_JTAG: [1-10]
    - W21: [1-10]
    - Umbilical J3: [10-1]
